> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-mintlify-697c363f.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Appointment Slots

> This API is the first step in booking appointment slot for a patient at a doctor's clinic



## OpenAPI

````yaml get /dr/v1/doctor/{doctor_id}/clinic/{clinic_id}/appointment/slot
openapi: 3.0.0
info:
  title: Ekacare API & Webhook Documentation
  contact: {}
  version: '1.0'
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /dr/v1/doctor/{doctor_id}/clinic/{clinic_id}/appointment/slot:
    get:
      tags:
        - Appointment API
      summary: Get Appointment Slots
      description: >-
        This API is the first step in booking appointment slot for a patient at
        a doctor's clinic
      operationId: GetAppointmentSlots
      parameters:
        - name: auth
          in: header
          description: ''
          required: true
          style: simple
          schema:
            type: string
            example: auth
        - name: start_date
          in: query
          description: ''
          required: true
          style: form
          explode: true
          schema:
            type: string
            example: '{{start_date}}'
        - name: end_date
          in: query
          description: ''
          required: true
          style: form
          explode: true
          schema:
            type: string
            example: '{{end_date}}'
        - name: doctor_id
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
        - name: clinic_id
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Sun, 12 Apr 2020 11:09:57 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '377'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.10.3 (Ubuntu)
            Vary:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Cookie, Accept-Encoding
            Content-Encoding:
              content:
                text/plain:
                  schema:
                    type: string
                  example: gzip
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=15768000
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      schedule:
                        type: object
                        additionalProperties:
                          type: object
                          additionalProperties:
                            type: array
                            items:
                              type: object
                              properties:
                                available:
                                  type: boolean
                                conf_id:
                                  type: string
                                e:
                                  type: string
                                  format: date-time
                                s:
                                  type: string
                                  format: date-time
                                slots_booked:
                                  type: integer
                                  nullable: true
                      services:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            allow_patient_booking:
                              type: boolean
                            appointment_type:
                              type: string
                            c_at:
                              type: string
                              format: date-time
                            conf_id:
                              type: string
                            mode:
                              type: array
                              items:
                                type: string
                            owner_id:
                              type: string
                            post_pay:
                              type: boolean
                            pre_pay:
                              type: boolean
                            price:
                              type: number
                              nullable: true
                            service_name:
                              type: string
              example:
                data:
                  schedule:
                    60532c7dcb46901ba3a3e462:
                      - service_type: consultation
                        slots:
                          - available: false
                            conf_id: >-
                              30daff8bf9df0abd81ad041003b4690a436db2ad26016814bca037ce0ba22e3b
                            e: '2024-09-05T09:30:00+05:30'
                            s: '2024-09-05T09:15:00+05:30'
                          - available: true
                            conf_id: >-
                              30daff8bf9df0abd81ad041003b4690a436db2ad26016814bca037ce0ba22e3b
                            e: '2024-09-05T09:45:00+05:30'
                            s: '2024-09-05T09:30:00+05:30'
                          - available: false
                            conf_id: >-
                              30daff8bf9df0abd81ad041003b4690a436db2ad26016814bca037ce0ba22e3b
                            e: '2024-09-05T10:00:00+05:30'
                            s: '2024-09-05T09:45:00+05:30'
                          - available: true
                            conf_id: >-
                              30daff8bf9df0abd81ad041003b4690a436db2ad26016814bca037ce0ba22e3b
                            e: '2024-09-05T10:15:00+05:30'
                            s: '2024-09-05T10:00:00+05:30'
                          - available: true
                            conf_id: >-
                              30daff8bf9df0abd81ad041003b4690a436db2ad26016814bca037ce0ba22e3b
                            e: '2024-09-05T10:30:00+05:30'
                            s: '2024-09-05T10:15:00+05:30'
                  services:
                    30daff8bf9df0abd81ad041003b4690a436db2ad26016814bca037ce0ba22e3b:
                      allow_patient_booking: true
                      appointment_type: REGULAR
                      conf_id: >-
                        30daff8bf9df0abd81ad041003b4690a436db2ad26016814bca037ce0ba22e3b
                      conv_fee: 0
                      currency: INR
                      discount: 0
                      mode:
                        - in-clinic
                      owner_id: '161419272566611'
                      post_pay: false
                      pre_pay: true
                      price: 500
                      service_id: 1
                      service_name: consultation
                success: 'true'
                status_code: 200
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Sun, 12 Apr 2024 11:10:57 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '152'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.10.3 (Ubuntu)
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: string
                  status_code:
                    type: integer
                  message:
                    type: string
              example:
                success: 'false'
                status_code: 400
                message: >-
                  Invalid request parameters. Please check your input and try
                  again.
        '403':
          description: Forbidden
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Sun, 12 Apr 2024 11:11:57 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '145'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.10.3 (Ubuntu)
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: string
                  status_code:
                    type: integer
                  message:
                    type: string
              example:
                success: 'false'
                status_code: 403
                message: >-
                  Access denied. You do not have permission to view this
                  doctor's schedule.
        '404':
          description: Not Found
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Sun, 12 Apr 2024 11:12:57 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '126'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.10.3 (Ubuntu)
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: string
                  status_code:
                    type: integer
                  message:
                    type: string
              example:
                success: 'false'
                status_code: 404
                message: Doctor not found. Please check the provided doctor ID.
        '500':
          description: Internal Server Error
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Sun, 12 Apr 2024 11:13:57 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '158'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.10.3 (Ubuntu)
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: string
                  status_code:
                    type: integer
                  message:
                    type: string
              example:
                success: 'false'
                status_code: 500
                message: >-
                  An unexpected error occurred while processing your request.
                  Please try again later.
      deprecated: false

````